<template>
  <div>
    <Tag
      v-for="label in visibleLabels"
      :value="label"
      rounded
      class="m-1"
    ></Tag>
    <span @mouseenter="toggle" v-if="extraLabels"> ... </span>
  </div>
  <div>
    <OverlayPanel class="grid w-4" ref="op" show-close-icon>
      <div>
        <Tag v-for="label in labels" :value="label" rounded class="m-1"></Tag>
      </div>
    </OverlayPanel>
  </div>
</template>

<script setup lang="ts">
import Tag from "primevue/tag";
import OverlayPanel from "primevue/overlaypanel";

const props = defineProps({
  labels: {
    type: Array,
    default: () => [],
  },
});

const op = ref();

const visibleLabels = computed(() => {
  return props.labels?.slice(0, 1);
});

const extraLabels = computed(() => {
  return props.labels?.length > visibleLabels.value.length;
});

const toggle = (event) => {
  op.value.toggle(event);
};
</script>
